Subject: bug#43265: 28.0.50; Inconsistent fontifying in elisp-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 26 Jan 2021 01:19:37 +0100

Mauro Aranda <[email-masked]> writes:

> (condition-case nil
>     (fail-badly)
>   (error (when foo t)))
>
> I don't see WHEN with font-lock-keyword-face.  However:
>
> (condition-case nil
>     (fail-badly)
>   (error (if foo t)))
>
> IF has font-lock-keyword-face.

I forgot to mention in this bug report (since we started talking about
other things here) that this bit has been fixed.

So I'm closing this bug report.  Opening a new one about
`edebug-form-spec' when doing highlights may be appropriate, if that's
something that somebody wants to work on.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no